require 'minitest/autorun'
require 'easy_weixin'
require File.expand_path('../test_xml',__FILE__)

describe "EasyWeixin" do

  describe "subscribe" do
    it 'subscribe' do

      msg = EasyWeixin::Response.analysis_xml($subscribe_xml)

      puts easy_weixin = EasyWeixin::Response.text_msg(msg.ToUserName, msg.FromUserName, 'Hi 欢迎来到顾益峰的个人微信频道,能来到这里的，都是我的朋友，都是一家人，这里你可以很放松！回复joke，听个笑话.回复girl，会显示我的五个女性朋友.回复boy，会显示我的五个男性朋友,回复其他内容，有你意想不到的内容喔~')
    end
  end

  describe "text" do
    it 'text' do

      msg = EasyWeixin::Response.analysis_xml($text_xml)

      puts easy_weixin = EasyWeixin::Response.text_msg(msg.ToUserName, msg.FromUserName, '我只是一个回复')
    end
  end

  describe "news" do
    it 'news' do
      msg = EasyWeixin::Response.analysis_xml($text_xml)
      if msg.Content == 'Hello2BizUser'
        item1 = EasyWeixin::Item.new
        item1.Title = 'title1'
        item1.Description = 'blah'
        item2 = EasyWeixin::Item.new
        item2.Title = 'title2'
        item2.Description = 'blah blah'
        Articles = [item1, item2]
        ArticleCount = Articles.size
      end

      puts EasyWeixin::Response.news_msg(msg.ToUserName, msg.FromUserName, Articles, ArticleCount)
    end
  end


end
