# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'easy_weixin/version'

Gem::Specification.new do |spec|
  spec.name          = "easy_weixin"
  spec.version       = EasyWeixin::VERSION
  spec.authors       = ["menghuanwd"]
  spec.email         = ["651019063@qq.com"]
  spec.summary       = %q{easy to use weixin public api.}
  spec.description   = %q{create menu and reply message.}
  spec.homepage      = "https://github.com/menghuanwd/easy_weixin"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'roxml', "~> 3.3"
  spec.add_dependency 'multi_xml', "~> 0.5"
  spec.add_dependency 'faraday', "~> 0.9"
  spec.add_dependency 'typhoeus', "~> 0.7"
  spec.add_dependency 'redis', "~> 3.2"

  # spec.add_development_dependency "bundler", "~> 1.5"
  # spec.add_development_dependency "rake"
  # # spec.add_development_dependency "roxml"
  # spec.add_development_dependency "multi_xml"
  # spec.add_development_dependency "faraday"
  # spec.add_development_dependency "typhoeus"
  # spec.add_development_dependency "redis"

end
