require 'minitest/autorun'
require 'easy_weixin'

describe "EasyWeixin" do

  before do
    @token = 'dave'
    @timestamp = Time.now.to_i.to_s
    @nonce = '123456'
    @signature = Digest::SHA1.hexdigest( [@token, @timestamp, @nonce].sort.join )
    @echostr = 'caishu'
  end

  it 'function check_valid' do
    easy_weixin = EasyWeixin::Auth.new(@token, @timestamp, @nonce, @signature, @echostr)
    easy_weixin.check_valid.must_equal @echostr
  end

end
